Bug 167364 - Review Request: fuse-emulator-utils - Fuse emulator utilities
Review Request: fuse-emulator-utils - Fuse emulator utilities
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Package Reviews List
http://www.all-the-johnsons.co.uk/emu...
:
Depends On: 166960
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-01 17:30 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-05 07:44:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
Fix first pass issues with spec (3.05 KB, patch)
2006-04-25 10:10 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Paul F. Johnson 2005-09-01 17:30:31 EDT
Spec Name or Url: http://www.all-the-johnsons.co.uk/emulators/downloads/fuse-utils-0.7.0.spec
SRPM Name or Url: http://www.all-the-johnsons.co.uk/emulators/downloads/fuse-utils-0.7.0.src.rpm
Description: 

Fuse utils are 10 small command line programs for use with the FUSE ZX Spectrum emulator software
Comment 1 Thorsten Leemhuis 2005-09-02 00:59:14 EDT
No review, just a note: FUSE (file System in userspace, fuse.sf.net) is
currently heading for inclusion in the upstream kernel (at least they try very
hard afaics).

That FUSE also has a userland part that is named "utils" in the src-pgk -- so a
resulting package for fedora-extras/core might be (you guessed it) fuse-utils.

I think this fuse might be more popular in the future (or already is) than the
emulator fuse. Therefore IMHO you should rename your pgk to fuseemu-utils oder
fuse-spectrum-utils (or something like that) to avoid user confusion (even if
there is no fuse-the-filesystem-pgk in Core/Extras yet).

BTW: can't find anything below http://www.all-the-johnsons.co.uk/emulators/*
Comment 2 Paul F. Johnson 2005-09-02 02:46:18 EDT
Sorry, yes, you're right about the name, it should be fuse-emulator-utils. I'll
correct that.
Comment 3 Paul Howarth 2005-10-17 10:11:44 EDT
None of the URLs in this bug appear to work.
Comment 4 Paul F. Johnson 2005-10-17 10:20:32 EDT
Spec Name or Url:
http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-utils-0.7.0.spec
SRPM Name or Url:
http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-utils-0.7.0-1.src.rpm

Sorry for the delay, events have over taken me...
Comment 5 Paul Howarth 2005-10-17 10:28:28 EDT
Please also provide new URLs for related Bug 166960.
Comment 6 Thorsten Leemhuis 2006-01-13 08:21:02 EST
/me completely confused -- this package was imported to cvs, the bug closed, but
I can't see a "approved" anywhere here. Did I miss anything? Only libspectrum,
lib765 and libdsk from Bug 17180 got and approved afaics.

And Paul, why didn't you rename it to fuse-emulator-utils as you said yourself
in comment #2 to avoid confusion with Fuse, the "Filesystem in Userspace"? Yes,
it has no "fuse-uils" subpackage, but that could change in the future. And it's
confusing anyway -- fuse-emulator-utils would be the better name imho.
Comment 7 Paul F. Johnson 2006-01-13 10:02:58 EST
D'oh! For some reason, I thought that it had been approved. I'll remove it from
cvs when I get home.
Comment 8 Thorsten Leemhuis 2006-01-13 10:19:22 EST
(In reply to comment #7)
> D'oh! For some reason, I thought that it had been approved.

You probably should reopen Bug 166960 , too. I'll repair the damage which you
have done to fuse (the filesystem) myself.

> I'll remove it from cvs when I get home.

Don't know if it's that easy. Might be the best if you ask for removal on
http://www.fedoraproject.org/wiki/Extras/CVSSyncNeeded
Comment 9 Paul F. Johnson 2006-02-09 18:25:19 EST
Spec Name or Url:
http://www.smmp.salford.ac.uk/packages/fuse-emulator-utils-0.7.0.spec

I've not rebuilt it as there is a blocker against 64 bit architectures - I'll
need to investigate that on the source
Comment 10 Paul F. Johnson 2006-04-02 19:59:31 EDT
Ping : anyone want to review and approve this?
Comment 11 Christopher Stone 2006-04-02 21:29:51 EDT
Well, I would except

1) The link to the spec file doesnt work
2) I still cant assign myself to bugs yet
3) I am on a 64bit architecture
Comment 12 Paul F. Johnson 2006-04-03 03:40:14 EDT
Spec Name or Url:
http://www.smmp.salford.ac.uk/packages/fuse-emulator-utils.spec

I can't comment on (2), but it should be fine with 64 bit, afterall, that's what
I'm using!
Comment 13 Paul F. Johnson 2006-04-13 19:29:14 EDT
Can someone please review this for accepting into extras?
Comment 14 Paul Howarth 2006-04-25 10:10:39 EDT
Created attachment 128201 [details]
Fix first pass issues with spec

First pass items:

 * URL should be: http://fuse-emulator.sourceforge.net/
 * Source0 should be:
http://dl.sf.net/fuse-emulator/fuse-utils-%{version}.tar.gz
 * Can't check that sources match upstream because no current SRPM URL posted
 * No comment explaining need for ExcludeArch
 * Description has "Fuse-emulation-utils " rather than "fuse-emulator-utils"
 * %setup needs -n fuse-utils-%{version}
 * Binaries are all installed mode 644 so they can't be executed
 - Easier just to use "make DESTDIR=${RPM_BUILD_ROOT} install"
 * Please include ChangeLog as %doc
 * Package shouldn't own %{_bindir}
 * Add "chmod 644 createhdf.c" in %prep to fix rpmlint warning for debuginfo
pkg

Please ensure that your packages actually build (preferably in mock) before
submitting them.
Comment 15 Paul F. Johnson 2006-06-03 19:40:35 EDT
Spec Name or Url:
http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-utils-0.7.0.spec
SRPM Name or Url:
http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-utils-0.7.0-4.src.rpm

All points in #14 addressed. ExcludeArch removed
Comment 16 Paul Howarth 2006-06-04 11:25:59 EDT
http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-utils-0.7.0-4.src.rpm

404 Not Found
The requested URL /emulation/downloads/fuse-utils-0.7.0-4.src.rpm was not found
on this server.

I hope the spec file inside the SRPM is called fuse-emulator-utils.spec but I
suspect it won't be given the SRPM name. Please fix this before posting the next
URL.
Comment 17 Paul F. Johnson 2006-06-04 11:43:53 EDT
Spec Name or Url: http://www.knox.net.nz/~nodoid/fuse-emulator-utils-0.7.0.spec
SRPM Name or Url: http://www.knox.net.nz/~nodoid/fuse-emulator-utils-0.7.0-4.src.rpm

D'oh!

The spec file has been fixed as you've suggested.
Comment 18 Paul Howarth 2006-06-05 05:33:11 EDT
Review of fuse-emulator-utils-0.7.0-4
-------------------------------------

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- package is GPL, matches spec, text included
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock with reduced package list on rawhide (i386)
- buildreqs OK
- no locales, libraries, pkgconfig files, or subpackages to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- not a GUI package, no desktop file needed
- no scriptlets

Needswork:

- %description still refers to "Fuse-emulation-utils " rather than
  "fuse-emulator-utils"; please add a full stop at the end of the description
  too.

You can fix this in cvs if you prefer.

Approved.
Comment 19 Christian Iseli 2006-10-18 05:38:26 EDT
Normalize summary field for easy parsing

Unless I'm mistaken, this should block FE-ACCEPT rather than FC-ACCEPT (fixed)
Comment 20 Ian Chapman 2007-06-28 18:49:13 EDT
Package Change Request
======================
Package Name: fuse-emulator-utils
Updated Fedora Owners: packages@amiga-hardware.com,paul@all-the-johnsons.co.uk

The current maintainer (paul@all-the-johnsons.co.uk) has given me his permission
to take ownership of this package as he is unable to maintain it at the moment
for personal reasons. I would like Paul to remain as co-maintainer in case he
wishes to continue with the package in the future.
Comment 21 Kevin Fenzi 2007-06-28 19:08:24 EDT
cvs done. 

Note You need to log in before you can comment on or make changes to this bug.